apiVersion: krew.googlecontainertools.github.com/v1alpha2
kind: Plugin
metadata:
  name: node-shell
spec:
  version: v1.2.3
  homepage: https://github.com/kvaps/kubectl-node-shell
  shortDescription: Spawn a root shell on a node via kubectl
  description: |
    Start a root shell in the node's host OS running.
    You need to be able to start privileged containers for that.

    Usage:

      Get standard bash shell:
      $ kubectl node-shell <node>

      Execute custom command:
      $ kubectl node-shell <node> -- echo 123

      Use stdin:
      $ cat /etc/passwd | kubectl node-shell <node> -- sh -c 'cat > /tmp/passwd'

      Run oneliner script:
      $ kubectl node-shell <node> -- sh -c 'cat /tmp/passwd; rm -f /tmp/passwd'
  caveats: |
      You need to be allowed to start privileged pods in the cluster
  platforms:
  - selector:
      matchExpressions:
      - key: os
        operator: In
        values:
        - darwin
        - linux
    uri: https://bitbucket.agilefabric.fr.carrefour.com/projects/APIGH/repos/kubectl-plugins/browse/downloads/node-shell/v1.2.3/kubectl-node-shell-1.2.3.tar.gz
    sha256: 4bfba530d550963dba5eb986ebf9251cc9f632b5cab6dfe932109ec6683e1428
    files:
    - from: kubectl-node-shell-*/kubectl-node_shell
      to: .
    - from: kubectl-node-shell-*/LICENSE
      to: .
    bin: "kubectl-node_shell"
